Bug 1529312 (CVE-2017-17810) - CVE-2017-17810 nasm: Segfault via mishandled macro calls in asm/preproc.c
Summary: CVE-2017-17810 nasm: Segfault via mishandled macro calls in asm/preproc.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-17810
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1529336
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-27 15:18 UTC by Pedro Sampaio
Modified: 2019-09-29 14:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:35:14 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-12-27 15:18:25 UTC
In Netwide Assembler (NASM) 2.14rc0, there is a "SEGV on unknown address" that will cause a denial of service attack, because asm/preproc.c mishandles macro calls that have the wrong number of arguments.

Upstream bug:

https://bugzilla.nasm.us/show_bug.cgi?id=3392431

Upstream patch:

http://repo.or.cz/nasm.git/commit/59ce1c67b16967c652765e62aa130b7e43f21dd4

Comment 1 Pedro Sampaio 2017-12-27 17:02:03 UTC
Created nasm tracking bugs for this issue:

Affects: fedora-all [bug 1529336]


Note You need to log in before you can comment on or make changes to this bug.